{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block content %}
    {% if created_tenants|length > 0 or updated_tenants|length > 0 %}
        <div class="row mt-2">
            <div class="col-md-6">
                <div class="card">
                    <h5 class="card-header{% if created_tenants|length == 0 %} border-bottom-0{% endif %}">{% translate "Created Tenants" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for tenant in created_tenants %}
                            <li class="list-group-item">{{ tenant }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <h5 class="card-header{% if updated_tenants|length == 0 %} border-bottom-0{% endif %}">{% translate "Updated Tenants" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for tenant in updated_tenants %}
                            <li class="list-group-item">{{ tenant }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
        </div>
    {% endif %}
    {% if created_servers|length > 0 or updated_servers|length > 0 %}
        <div class="row mt-2">
            <div class="col-md-6">
                <div class="card">
                    <h5 class="card-header{% if created_servers|length == 0 %} border-bottom-0{% endif %}">{% translate "Created Servers" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for server in created_servers %}
                            <li class="list-group-item">{{ server }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <h5 class="card-header{% if updated_servers|length == 0 %} border-bottom-0{% endif %}">{% translate "Updated Servers" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for server in updated_servers %}
                            <li class="list-group-item">{{ server }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
        </div>
    {% endif %}
    {% if created_rooms|length > 0 or updated_rooms|length > 0 or ignored_rooms|length > 0 %}
        <div class="row mt-2">
            <div class="{% if ignored_rooms|length > 0 %}col-md-4{% else %}col-md-6{% endif %}">
                <div class="card">
                    <h5 class="card-header{% if created_rooms|length == 0 %} border-bottom-0{% endif %}">{% translate "Created Rooms" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for room in created_rooms %}
                            <li class="list-group-item">{{ room }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <div class="{% if ignored_rooms|length > 0 %}col-md-4{% else %}col-md-6{% endif %}">
                <div class="card">
                    <h5 class="card-header{% if updated_rooms|length == 0 %} border-bottom-0{% endif %}">{% translate "Updated Rooms" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for room in updated_rooms %}
                            <li class="list-group-item">{{ room }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            {% if ignored_rooms|length > 0 %}
                <div class="col-md-4">
                    <div class="card">
                        <h5 class="card-header">{% translate "Ignored Rooms" %}</h5>
                        <ul class="list-group list-group-flush">
                            {% for room in ignored_rooms %}
                                <li class="list-group-item">{{ room }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>
            {% endif %}
        </div>
    {% endif %}
    {% if created_homerooms|length > 0 or updated_homerooms|length > 0 %}
        <div class="row mt-2">
            <div class="col-md-6">
                <div class="card">
                    <h5 class="card-header{% if created_homerooms|length == 0 %} border-bottom-0{% endif %}">{% translate "Created Homerooms" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for homeroom in created_homerooms %}
                            <li class="list-group-item">{{ homeroom }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <h5 class="card-header{% if updated_homerooms|length == 0 %} border-bottom-0{% endif %}">{% translate "Updated Homerooms" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for homeroom in updated_homerooms %}
                            <li class="list-group-item">{{ homeroom }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
        </div>
    {% endif %}
    {% if created_room_configurations|length > 0 or updated_room_configurations|length > 0 %}
        <div class="row mt-2">
            <div class="col-md-6">
                <div class="card">
                    <h5 class="card-header{% if created_room_configurations|length == 0 %} border-bottom-0{% endif %}">{% translate "Created Room Configurations" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for room_configuration in created_room_configurations %}
                            <li class="list-group-item">{{ room_configuration }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <h5 class="card-header{% if updated_room_configurations|length == 0 %} border-bottom-0{% endif %}">{% translate "Updated Room Configurations" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for room_configuration in updated_room_configurations %}
                            <li class="list-group-item">{{ room_configuration }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
        </div>
    {% endif %}
    {% if created_meetings|length > 0 %}
        <div class="row mt-2">
            <div class="col-md-12">
                <div class="card">
                    <h5 class="card-header">{% translate "Created Meetings" %}</h5>
                    <ul class="list-group list-group-flush">
                        {% for meeting in created_meetings %}
                            <li class="list-group-item">{{ meeting }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
        </div>
    {% endif %}
    {% if updated_general_parameter %}
        <div class="row mt-2">
            <div class="col-md-12">
                <div class="card">
                    <h5 class="card-header border-bottom-0">{% translate "General Parameter updated" %}</h5>
                </div>
            </div>
        </div>
    {% endif %}
{% endblock %}
